<?php
/**
 * VW Charity NGO: Block Patterns
 *
 * @package VW Charity NGO
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-charity-ngo',
		array( 'label' => __( 'VW Charity NGO', 'vw-charity-ngo' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-charity-ngo/banner-section',
		array(
			'title'      => __( 'Banner Section', 'vw-charity-ngo' ),
			'categories' => array( 'vw-charity-ngo' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\",\"id\":3829,\"dimRatio\":10,\"minHeight\":650,\"align\":\"full\",\"className\":\"sliderbox\"} -->\n<div class=\"wp-block-cover alignfull has-background-dim-10 has-background-dim sliderbox\" style=\"background-image:url(" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png);min-height:650px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-md-5 mx-2\"} -->\n<div class=\"wp-block-columns alignwide mx-md-5 mx-2\"><!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"ms-md-5 ms-0\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top ms-md-5 ms-0\"><!-- wp:cover {\"overlayColor\":\"black\",\"minHeight\":50} -->\n<div class=\"wp-block-cover has-black-background-color has-background-dim\" style=\"min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"level\":1} -->\n<h1>LOREM IPSUM IS SIMPLY DUMMY </h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"text-left\"} -->\n<p class=\"text-left\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s,   </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"borderRadius\":0,\"style\":{\"color\":{\"background\":\"#f75e61\"}},\"textColor\":\"white\"} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-white-color has-text-color has-background no-border-radius\" style=\"background-color:#f75e61\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"ms-5\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center ms-5\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-charity-ngo/feature-section',
		array(
			'title'      => __( 'Featured Section', 'vw-charity-ngo' ),
			'categories' => array( 'vw-charity-ngo' ),
			'content'    => "<!-- wp:cover {\"customOverlayColor\":\"#f75e61\",\"minHeight\":50,\"align\":\"wide\",\"className\":\"featured-box mx-0\"} -->\n<div class=\"wp-block-cover alignwide has-background-dim featured-box mx-0\" style=\"background-color:#f75e61;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"full\",\"className\":\"mx-0 mb-0\"} -->\n<div class=\"wp-block-columns alignfull mx-0 mb-0\"><!-- wp:column {\"className\":\"feature-content mb-0\"} -->\n<div class=\"wp-block-column feature-content mb-0\"><!-- wp:columns {\"className\":\"mb-md-0 mb-4\"} -->\n<div class=\"wp-block-columns mb-md-0 mb-4\"><!-- wp:column {\"width\":\"20%\",\"className\":\"mb-md-0 mb-3\"} -->\n<div class=\"wp-block-column mb-md-0 mb-3\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":3822,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<div class=\"wp-block-image mb-0\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/feature1.png\" alt=\"\" class=\"wp-image-3822\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"100%\",\"className\":\"feature-text\"} -->\n<div class=\"wp-block-column feature-text\" style=\"flex-basis:100%\"><!-- wp:heading {\"textAlign\":\"left\",\"className\":\"text-left mb-2\",\"style\":{\"typography\":{\"fontSize\":19}}} -->\n<h2 class=\"has-text-align-left text-left mb-2\" style=\"font-size:19px\"><strong>Featured Title 1</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left mb-0\",\"style\":{\"typography\":{\"fontSize\":12}}} -->\n<p class=\"has-text-align-left text-left mb-0\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"feature-content mb-0\"} -->\n<div class=\"wp-block-column feature-content mb-0\"><!-- wp:columns {\"className\":\"mb-md-0 mb-4\"} -->\n<div class=\"wp-block-columns mb-md-0 mb-4\"><!-- wp:column {\"width\":\"20%\",\"className\":\"mb-md-0 mb-3\"} -->\n<div class=\"wp-block-column mb-md-0 mb-3\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":3824,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<div class=\"wp-block-image mb-0\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/feature2.png\" alt=\"\" class=\"wp-image-3824\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"100%\",\"className\":\"feature-text\"} -->\n<div class=\"wp-block-column feature-text\" style=\"flex-basis:100%\"><!-- wp:heading {\"textAlign\":\"left\",\"className\":\"text-left mb-2\",\"style\":{\"typography\":{\"fontSize\":19}}} -->\n<h2 class=\"has-text-align-left text-left mb-2\" style=\"font-size:19px\"><strong>Featured Title 2</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left mb-0\",\"style\":{\"typography\":{\"fontSize\":12}}} -->\n<p class=\"has-text-align-left text-left mb-0\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"feature-content mb-0\"} -->\n<div class=\"wp-block-column feature-content mb-0\"><!-- wp:columns {\"className\":\"mb-md-0 mb-4\"} -->\n<div class=\"wp-block-columns mb-md-0 mb-4\"><!-- wp:column {\"width\":\"20%\",\"className\":\"mb-md-0 mb-3\"} -->\n<div class=\"wp-block-column mb-md-0 mb-3\" style=\"flex-basis:20%\"><!-- wp:image {\"align\":\"center\",\"id\":3823,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<div class=\"wp-block-image mb-0\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/feature3.png\" alt=\"\" class=\"wp-image-3823\"/></figure></div>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"100%\",\"className\":\"feature-text\"} -->\n<div class=\"wp-block-column feature-text\" style=\"flex-basis:100%\"><!-- wp:heading {\"textAlign\":\"left\",\"className\":\"text-left mb-2\",\"style\":{\"typography\":{\"fontSize\":19}}} -->\n<h2 class=\"has-text-align-left text-left mb-2\" style=\"font-size:19px\"><strong>Featured Title 3</strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"left\",\"className\":\"text-left mb-0\",\"style\":{\"typography\":{\"fontSize\":12}}} -->\n<p class=\"has-text-align-left text-left mb-0\" style=\"font-size:12px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-charity-ngo/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-charity-ngo' ),
			'categories' => array( 'vw-charity-ngo' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"service-box my-5 mx-md-0 mx-2\"} -->\n<div class=\"wp-block-group alignwide service-box my-5 mx-md-0 mx-2\"><div class=\"wp-block-group__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":28}}} -->\n<h3 class=\"has-text-align-center\" style=\"font-size:28px\"><strong>WHAT WE DO</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"align\":\"wide\",\"className\":\"services-col mx-0\"} -->\n<div class=\"wp-block-columns alignwide services-col mx-0\"><!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#f6f8fa\",\"minHeight\":50,\"className\":\"services-box my-0\"} -->\n<div class=\"wp-block-cover has-background-dim services-box my-0\" style=\"background-color:#f6f8fa;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":3825,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"services-img\"} -->\n<div class=\"wp-block-image services-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service1.png\" alt=\"\" class=\"wp-image-3825\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"className\":\"mb-2\",\"style\":{\"color\":{\"text\":\"#1e1d1c\"},\"typography\":{\"fontSize\":18}}} -->\n<h4 class=\"has-text-align-center mb-2 has-text-color\" style=\"color:#1e1d1c;font-size:18px\">WHAT WE DO TITLE 1</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-0\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#1e1d1c\"}}} -->\n<p class=\"has-text-align-center text-center mb-0 has-text-color\" id=\"services-box\" style=\"color:#1e1d1c;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#f6f8fa\",\"minHeight\":50,\"className\":\"services-box my-0\"} -->\n<div class=\"wp-block-cover has-background-dim services-box my-0\" style=\"background-color:#f6f8fa;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":3827,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"services-img\"} -->\n<div class=\"wp-block-image services-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service2.png\" alt=\"\" class=\"wp-image-3827\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"className\":\"mb-2\",\"style\":{\"color\":{\"text\":\"#1e1d1c\"},\"typography\":{\"fontSize\":18}}} -->\n<h4 class=\"has-text-align-center mb-2 has-text-color\" style=\"color:#1e1d1c;font-size:18px\">WHAT WE DO TITLE 1</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-0\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#1e1d1c\"}}} -->\n<p class=\"has-text-align-center text-center mb-0 has-text-color\" id=\"services-box\" style=\"color:#1e1d1c;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"mb-4\"} -->\n<div class=\"wp-block-column mb-4\"><!-- wp:cover {\"customOverlayColor\":\"#f6f8fa\",\"minHeight\":50,\"className\":\"services-box my-0\"} -->\n<div class=\"wp-block-cover has-background-dim services-box my-0\" style=\"background-color:#f6f8fa;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":3826,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"services-img\"} -->\n<div class=\"wp-block-image services-img\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/service3.png\" alt=\"\" class=\"wp-image-3826\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"className\":\"mb-2\",\"style\":{\"color\":{\"text\":\"#1e1d1c\"},\"typography\":{\"fontSize\":18}}} -->\n<h4 class=\"has-text-align-center mb-2 has-text-color\" style=\"color:#1e1d1c;font-size:18px\">WHAT WE DO TITLE 1</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"className\":\"text-center mb-0\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#1e1d1c\"}}} -->\n<p class=\"has-text-align-center text-center mb-0 has-text-color\" id=\"services-box\" style=\"color:#1e1d1c;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. </p>\n<!-- /wp:paragraph --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:group -->",
		)
	);
}